Summary: Register your dynamic IP address with a static domain name
Name: irquery
Version: 0.4.8
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Source: ftp.ddns.org:/pub/IP/irquery-0.4.8.tgz
Patch: irquery-build.patch
BuildRoot: /tmp/irquery-buildroot
Packager: Andrea Borgia <borgia@students.cs.unibo.it>

%description
Register your dynamic IP address (as obtained via DHCP, PPP or other means)
with a static domain name through Webworks' free dynamic DNS service in the
ddns.org domain.  This allows people to refer to your computer with an
unchanging name even though your IP address can change.  Also includes a
program to find people's dynamic IP addresses based on their e-mail
addresses. Added Mail Forwarding, and HTTP Redirection.

%prep
%setup -n irquery
%patch -p1

%build
export RPM_BUILD_ROOT
make

%install
export RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make install
cp $RPM_SOURCE_DIR/documentation.html .
cp $RPM_SOURCE_DIR/technical.htm .
install -m 600 irquery.conf $RPM_BUILD_ROOT/etc

%clean
rm -rf * $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/irquery
/usr/bin/iron
/usr/bin/iroff
/usr/bin/irfind
/usr/man/man1/irquery.1
/usr/man/man1/iron.1
/usr/man/man1/iroff.1
/usr/man/man1/irfind.1
%config /etc/irquery.conf
%doc README INSTALL CREDITS COPYING AUTHORS
%doc documentation.html technical.htm

%%changelog
* Sun Jul 11 1999 Andrea Borgia <borgia@students.cs.unibo.it>
- updated to version 0.4.8
- changed email
- fixed group name to comply with rpm 3.0.2
- used defattr
- added html docs

* Thu Jul 23 1998 Andrea Borgia <borgia@cs.unibo.it>
- made buildroot capable
- changed installdir from /usr/local/bin to /usr/bin

